# This is a sample build configuration for PHP.
# Check our guides at https://confluence.atlassian.com/x/e8YWN for more examples.
# Only use spaces to indent your .yml configuration.
# -----
# You can specify a custom docker images from Docker Hub as your build environment.
image: php:7.2.0

pipelines:
  branches:
    master:
      - step:
          script:
            - apt-get update && apt-get install -y unzip git
            - apt-get install git-ftp
            - git config git-ftp.url ftp://eushared04.twinservers.net:21/public_html/
            - git config git-ftp.user $FTP_USERNAME
            - git config git-ftp.password $FTP_PASSWORD
            - git ftp push -v
            - curl -sS https://getcomposer.org/installer | php -- --install-dir=/usr/local/bin --filename=composer
            - composer install
            - php -v
            - php bin/console cache:clear -e prod